# Class FormArrayItemRestoreButtonDirective

#### Hierarchy (view full)

- FormArrayItemButton
  - FormArrayItemRestoreButtonDirective

#### Implements

- AfterViewInit
- OnDestroy

- Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-restore-button.directive.ts:14

#####
Index

### Constructors

constructor

### Properties

deletedControl
elementRef
formGroup
matButton
parent
renderer
type

### Accessors

disabled
index
isDeleted
isDisabled

### Methods

ngAfterViewInit
ngOnDestroy
onClick
updateDisplayStyle

## Constructors

### constructor

- new FormArrayItemRestoreButtonDirective(parent, matButton, renderer, elementRef): FormArrayItemRestoreButtonDirective

- #### Parameters

  - parent: ControlContainer
  - matButton: MatButton
  - renderer: Renderer2
  - elementRef: ElementRef<any>

  #### Returns FormArrayItemRestoreButtonDirective

  Inherited from FormArrayItemButton.constructor

  - Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:36

## Properties

### `Protected` deletedControl

deletedControl: RxapFormControl<boolean, any, any>

Inherited from FormArrayItemButton.deletedControl

- Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:32

### `Protected` `Readonly` elementRef

elementRef: ElementRef<any>

Inherited from FormArrayItemButton.elementRef

- Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:40

### `Protected` formGroup

formGroup: RxapFormGroup<{
deleted: boolean;
}, any>

#### Type declaration

- ##### deleted: boolean

Inherited from FormArrayItemButton.formGroup

- Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:31

### `Protected` `Readonly` matButton

matButton: MatButton

Inherited from FormArrayItemButton.matButton

- Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:38

### `Protected` `Readonly` parent

parent: ControlContainer

Inherited from FormArrayItemButton.parent

- Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:37

### `Protected` `Readonly` renderer

renderer: Renderer2

Inherited from FormArrayItemButton.renderer

- Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:39

### type

type: string = 'button'

Inherited from FormArrayItemButton.type

- Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:30

## Accessors

### disabled

- get disabled(): boolean

- #### Returns boolean

  Inherited from FormArrayItemButton.disabled

  - Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:45

### index

- get index(): number

- #### Returns number

  Inherited from FormArrayItemButton.index

  - Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:53

### isDeleted

- get isDeleted(): boolean

- #### Returns boolean

  Inherited from FormArrayItemButton.isDeleted

  - Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:49

### `Protected` isDisabled

- get isDisabled(): boolean

- #### Returns boolean

  Inherited from FormArrayItemButton.isDisabled

  - Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:57

## Methods

### ngAfterViewInit

- ngAfterViewInit(): void

- #### Returns void

  Implementation of AfterViewInit.ngAfterViewInit

  Inherited from FormArrayItemButton.ngAfterViewInit

  - Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:61

### ngOnDestroy

- ngOnDestroy(): void

- #### Returns void

  Implementation of OnDestroy.ngOnDestroy

  Inherited from FormArrayItemButton.ngOnDestroy

  - Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-button.ts:86

### onClick

- onClick(): void

- #### Returns void

  Overrides FormArrayItemButton.onClick

  - Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-restore-button.directive.ts:17

### updateDisplayStyle

- updateDisplayStyle(): void

- #### Returns void

  Overrides FormArrayItemButton.updateDisplayStyle

  - Defined in packages/angular/form-system/src/lib/directives/array/form-array-item-restore-button.directive.ts:21